Package com.google.protobuf

# Class CodedOutputStream.OutOfSpaceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
com.google.protobuf.CodedOutputStream.OutOfSpaceException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `CodedOutputStream`

public static class CodedOutputStream.OutOfSpaceException extends IOException
If you create a CodedOutputStream around a simple flat array, you must not attempt to write more bytes than the array has space. Otherwise, this exception will be thrown.

See Also:
  - Serialized Form

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`